Bug 883719 (CVE-2012-5627) - CVE-2012-5627 mysql: efficient password guessing attack using change_user()
Summary: CVE-2012-5627 mysql: efficient password guessing attack using change_user()
Status: CLOSED WONTFIX
Alias: CVE-2012-5627
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20121203,reported=2...
Keywords: Security
Depends On:
Blocks: 882596
TreeView+ depends on / blocked
 
Reported: 2012-12-05 06:59 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-08-22 16:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 16:02:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2012-12-05 06:59:58 UTC
A vulnerability was found in the handling of password salt values in MySQL. When a user logs into MySQL a salt value is generated that is then used to prevent password guessing attacks (since the salt value must be known in order to send a password). This salt value is created at the start of a session and used for the entire session, once authenticated an attacker can use the MySQL "change_user" command to attempt to login as a different, as the salt value is known a password guessing attack will be much more efficient.

Reference:
http://seclists.org/fulldisclosure/2012/Dec/58

Comment 1 Tom Lane 2012-12-05 14:35:15 UTC
I'm not really convinced that this is a problem at all, or that selecting a new salt would make much difference.  Per the reference link, the main time savings is from not having to establish a new connection.  You still need a precalculated table of common password hashes, if you hope to avoid doing the hashing on-the-fly.

Comment 2 Jan Lieskovsky 2012-12-05 14:53:11 UTC
MariaDB upstream bug:
  https://mariadb.atlassian.net/browse/MDEV-3915

Comment 3 Jan Lieskovsky 2012-12-06 10:49:44 UTC
The CVE identifier of CVE-2012-5627 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2012/12/06/4

Comment 4 Tomas Hoger 2012-12-11 11:22:07 UTC
(In reply to comment #1)
> I'm not really convinced that this is a problem at all, or that selecting a
> new salt would make much difference.  Per the reference link, the main time
> savings is from not having to establish a new connection.  You still need a
> precalculated table of common password hashes, if you hope to avoid doing
> the hashing on-the-fly.

Agree, changing bug summary.

Comment 6 Huzaifa S. Sidhpurwala 2013-01-22 05:58:43 UTC
This issue has not been addressed by the recent January 2013 CPU containing mysql security fixes.

http://www.oracle.com/technetwork/topics/security/cpujan2013-1515902.html

Deferring this flaw till upstream fixes it.

Comment 7 Huzaifa S. Sidhpurwala 2013-01-22 05:59:37 UTC
This issue affects the version of mysql as shipped with Fedora-17 and Fedora-18.

Comment 9 Vincent Danen 2015-08-22 16:01:43 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.